OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaGroup Class Reference

Representation of STEP entity FeaGroup
.

`#include <StepFEA_FeaGroup.hxx>`

Inheritance diagram for StepFEA_FeaGroup:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_FeaGroup ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGroup_Name, const Handle(TCollection_HAsciiString)&aGroup_Description, const Handle(StepFEA_FeaModel)&aModelRef)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaModel | ModelRef () const
| Returns field ModelRef .
Standard_EXPORT void | SetModelRef (const Handle(StepFEA_FeaModel)&ModelRef)
| Set field ModelRef .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_FeaModel | theModelRef

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaGroup::StepFEA_FeaGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_FeaGroup::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Group. Reimplemented in StepFEA_ElementGroup, and StepFEA_NodeGroup.

Standard_EXPORT void StepFEA_FeaGroup::Init | ( | const Handle(TCollection_HAsciiString)& | aGroup_Name,
|  | const Handle(TCollection_HAsciiString)& | aGroup_Description,
|  | const Handle(StepFEA_FeaModel)& | aModelRef
| ) |

Standard_EXPORT Handle_StepFEA_FeaModel StepFEA_FeaGroup::ModelRef | ( |  | ) | const

Standard_EXPORT void StepFEA_FeaGroup::SetModelRef | ( | const Handle(StepFEA_FeaModel)& | ModelRef | ) |

## Field Documentation

Handle_StepFEA_FeaModel StepFEA_FeaGroup::theModelRef`[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaGroup.hxx